std::chrono::year_month_weekday(3)

NAME
std::chrono::year_month_weekday - std::chrono::year_month_weekday

Synopsis
   Defined in header <chrono>
   class year_month_weekday; (since C++20)
   The class year_month_weekday represents the n-th weekday of a specific year and
   month. It is a field-based time point, with a resolution of std::chrono::days.
   std::chrono::years- and std::chrono::months-oriented arithmetic are supported
   directly. An implicit conversion to and from std::chrono::sys_days allows
   std::chrono::days-oriented arithmetic to be performed efficiently.
   year_month_weekday is a TriviallyCopyable StandardLayoutType.

Member functions
   constructor constructs a year_month_weekday
                       (public member function)
   operator+= modifies the time point by some number of months or years
   operator-= (public member function)
   year
   month accesses the fields of this object
   weekday (public member function)
   index
   weekday_indexed
   operator sys_days converts to a std::chrono::time_point
   operator local_days (public member function)
   ok checks whether this object represents a valid date
                       (public member function)
  Nonmember functions
   operator== compares two year_month_weekday values
   (C++20) (function)
   operator+ adds or subtracts a year_month_weekday and some number of years or months
   operator- (function)
   (C++20)
   operator<< outputs a year_month_weekday into a stream
   (C++20) (function template)

Helper classes
                        specialization of std::formatter
   std::formatter<std::chrono::year_month_weekday> that formats a year_month_weekday
   (C++20) according to the provided format
                        (class template specialization)